# {%= name %} {%= badge('fury') %}

> {%= description %}


## Install
{%= include("install") %}


## Usage

```js
var matched = require('matched');
matched(['foo', 'bar', 'baz'], ['!*a*', '*z'])
// => ['baz']
```

## Tests

In the command line, run:

```bash
mocha
```

All of [the unit tests](./test/test.js) include tests for [multimatch][multimatch], the `.match()` method from [globule][globule], and this library, matched.


## Comparison

> The following comparison summarizes (part of) the motivation for creating this lib.

Given that we have an array of files:

```js
var files = [
	'vendor/js/foo.js', 
	'vendor/js/bar.js', 
	'vendor/js/baz.js'
];
```

Using this glob pattern: `['!**/*z.js', '**/foo.js']`, **what should the results be**? Here is the each lib would handle them.

**Lib** | **Result** | **Notes**
--- | --- | ---
matched | `['vendor/js/foo.js']` | correct
[globule.match][globule] | `['vendor/js/foo.js']` | correct
[multimatch][multimatch] | `['vendor/js/foo.js', 'vendor/js/bar.js']` | incorrect, since we didn't ask for `vendor/js/bar.js`

See [the tests](./test/test.js) for more examples.


## Author
{%= contrib("jon") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}

[globule]: https://github.com/cowboy/node-globule
[multimatch]: https://github.com/sindresorhus/multimatch