# matched [![NPM version](https://badge.fury.io/js/matched.png)](http://badge.fury.io/js/matched)

> Extends minimatch with support for multiple patterns. Similar to multimatch, but returns expected results and passes all tests (see readme). Also similar to globule.match but more compact (and passes all globule.match tests).


## Install
Install with [npm](npmjs.org):

```bash
npm i matched --save-dev
```



## Usage

```js
var matched = require('matched');
matched(['foo', 'bar', 'baz'], ['!*a*', '*z'])
// => ['baz']
```

## Tests

In the command line, run:

```bash
mocha
```

All of [the unit tests](./test/test.js) include tests for [multimatch][multimatch], the `.match()` method from [globule][globule], and this library, matched.


## Comparison

> The following comparison summarizes (part of) the motivation for creating this lib.

Given that we have an array of files:

```js
var files = [
	'vendor/js/foo.js', 
	'vendor/js/bar.js', 
	'vendor/js/baz.js'
];
```

Using this glob pattern: `['!**/*z.js', '**/foo.js']`, **what should the results be**? Here is the each lib would handle them.

**Lib** | **Result** | **Notes**
--- | --- | ---
matched | `['vendor/js/foo.js']` | correct
[globule.match][globule] | `['vendor/js/foo.js']` | correct
[multimatch][multimatch] | `['vendor/js/foo.js', 'vendor/js/bar.js']` | incorrect, since we didn't ask for `vendor/js/bar.js`

See [the tests](./test/test.js) for more examples.


## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on June 14, 2014._

[globule]: https://github.com/cowboy/node-globule
[multimatch]: https://github.com/sindresorhus/multimatch